import os
from ConfigParser import ConfigParser
from ftplib import FTP

class Uploader:
    def __init__(self, configpath = "~/PFC/.upload-version.conf"):
        self.config = {}
        
        self.parseConfig(os.path.expanduser(configpath))
        
    def __getitem__(self, item):
        return self.config[item]
        
    def parseConfig(self, path):
        config = {}
        cf = ConfigParser()
        cf.read(path)
        
        for option in cf.options('version'):
            value = cf.get('version', option)
            config[option] = value
            
        self.config = config
        
    def upload(self, filename, dir = '.'):
        "Upload 'file' in 'dir' (default is current dir)."
        ftp = FTP(self['url'])
        ftp.login(self['login'], self['password'])
        
        if  dir != '.':
            ftp.cwd(dir)

        fp = open(filename)
        ftp.storlines("STOR " + os.path.basename(filename), fp)
        fp.close()
        
        ftp.quit()


if __name__ == '__main__':
    up = Uploader()
    up.upload('../version.txt', 'platform')
    