import re
# This class avoids to compute the pattern matching twice in if-statements.
# It also makes the code cleaner.

class Pattern:
    "Simple pattern class suitable for a single match in if-statements."
    def __init__(self, rgx):
        self.regex = re.compile(rgx)
        self.match = ()
        
    def search(self, line):
        found = self.regex.search(line)
        
        if found:
            self.match = found.group(1)
            return True
        else:
            return False
        
    def substitute(self, repl, txt):
        return self.regex.sub(repl, txt)
    
if __name__ == '__main__':
    pass