# -*- coding: utf-8 -*-
'''PFC dialogs'''
import wx


class ExitDialog(wx.Dialog):
	def __init__(self, parent):
		pre = wx.PreDialog()
		pre.Create(parent, -1, "Quit the PFC Toolbox", size=wx.DefaultSize, pos=wx.DefaultPosition)

		self.PostCreate(pre)

		sizer = wx.BoxSizer(wx.VERTICAL)

		label = wx.StaticText(self, -1, u"Do you want to quit the application?")
		sizer.Add(label, 0, wx.ALIGN_CENTRE|wx.ALL, 5)

#		sizer.Add(box, 0, wx.GROW|wx.ALIGN_CENTER_VERTICAL|wx.ALL, 5)

		line = wx.StaticLine(self, -1, size=(20,-1), style=wx.LI_HORIZONTAL)
		sizer.Add(line, 0, wx.GROW|wx.ALIGN_CENTER_VERTICAL|wx.RIGHT|wx.TOP, 5)

		btnsizer = wx.StdDialogButtonSizer()

		btn = wx.Button(self, wx.ID_OK, 'Yes')
		btnsizer.AddButton(btn)

		btn = wx.Button(self, wx.ID_CANCEL, 'No')
		btn.SetDefault()		
		btnsizer.AddButton(btn)
                
		btnsizer.Realize()

		sizer.Add(btnsizer, 0, wx.ALIGN_CENTER_VERTICAL|wx.ALL, 5)

		self.SetSizer(sizer)
		sizer.Fit(self)
		
		
class ExitDlg(wx.MessageDialog):
	def __init__(self, parent):
		wx.MessageDialog.__init__(self, parent, u"Do you want to remember the state of the application?",
			u'Quit',  style = wx.YES_NO|wx.CANCEL|wx.NO_DEFAULT|wx.ICON_QUESTION)