# Praat scripts used by the platform

import os
    
def getBasename(path):
    return os.path.splitext(os.path.basename(path))[0]
  
    
def openInPraat(tier, snd, tgd, xmin):
    sndBase = getBasename(snd)
    tgdBase = getBasename(tgd)
    min = float(xmin) + 0.5
    
    return \
    '''
    ! Generated by the PFC Platform
    uTier = %d
    Open long sound file... %s
    Read from file... %s
    interval = Get interval at time... uTier %f
    begin = Get starting point... uTier interval
    begin = begin + 0.1
    end = Get end point... uTier interval
    
    select LongSound %s
    plus TextGrid %s
    Edit
    editor TextGrid %s
        Select next tier
        if uTier == 3
            Select next tier
        endif
        Zoom... 'begin' 'end'
        Move cursor to... 'begin'
        Move cursor to begin of selection
    endeditor
    ''' % (tier, snd, tgd, min, sndBase, tgdBase, tgdBase)
    
def writeSoundTextCollection(snd, tgd, xmin, xmax, collection):
    sndBase = getBasename(snd)
    tgdBase = getBasename(tgd)

    return \
    '''
    ! Generated by the PFC Platform   
    Open long sound file... %s
    Read from file... %s
    
    select LongSound %s
    Extract part... %s %s yes
    select TextGrid %s
    Extract part... %s %s yes
    select Sound %s
    plus TextGrid %s_part
    Write to binary file... %s
    ''' % (snd, tgd, sndBase, xmin, xmax, tgdBase, xmin, xmax, sndBase, tgdBase, collection)